Author Topic: Can't install 14.00.02.02 on Fedora 10 or 11 laptop  (Read 3346 times)

millerkp

  • Community Member
  • Posts: 16
  • Hero Points: 0
Can't install 14.00.02.02 on Fedora 10 or 11 laptop
« on: September 08, 2009, 12:45:23 pm »
I installed 14.00.02.02 on my fedora 11 desktop a couple of weeks ago with no problems.  I am going on a trip next week, and I thought it would be nice to have Slickedit running on my laptop.  I did a fresh install of fedora 11 and attempted to install Slickedit.  The program unpacks OK, but "locks up" on registering the licence.  Running 'top' shows 'vs' running at 99% and sucking up memory.  I even tried letting it run like this for a few minutes, but the situation remained unchanged.

My laptop system: Dell 700m Laptop with 2GHz Pentium M, 2GB of memory, a 1280x800 screen, Intel 855GM graphics processor.

Slickedit v10 installed OK, except for a problem that fedora 11 has with KMS; I had to enable in the kernel nomodeset to get windows display correctly.

I even wiped Fedora 11, and installed Fedora 10, but still Slickedit 14 would not get past the licensing check.

Any thoughts on how to diagnose this?

Thank you.

ScottW, VP of Dev

  • Senior Community Member
  • Posts: 1471
  • Hero Points: 64
Re: Can't install 14.00.02.02 on Fedora 10 or 11 laptop
« Reply #1 on: September 08, 2009, 02:17:13 pm »
After installing SlickEdit and before running it, try copying the license file to the bin subdirectory. Then startup SlickEdit. It should find the file and avoid whatever is causing the license file search to fail.

You don't need to reinstall SlickEdit. Just copy the file there and see what happens.

millerkp

  • Community Member
  • Posts: 16
  • Hero Points: 0
Re: Can't install 14.00.02.02 on Fedora 10 or 11 laptop
« Reply #2 on: September 08, 2009, 07:55:00 pm »
Sorry, that did not do the trick. Thank you for the suggestion though. 

When I put the license into the /opt/slickedit/bin directory and ran /opt/slickedit/bin/vs, I still see vs in top running at 97% cpu usage and the RES/VIRT value just keeps increasing... 1.7g RES / 2.4 VIRT and counting.  The Desktop Computer I have Slickedit 14 working on has 4GB of memory, but I don't think that Slickedit has that as a minimum install requirement.

I suppose I could let vs run until it crashes, though my laptop gets mighty warm when I do that  ;)

Any useful I can do to debug this problem?  ltrace/strace? gdb :) ?

I will let it run until the memory is exhausted.

Thank you

millerkp

  • Community Member
  • Posts: 16
  • Hero Points: 0
Re: Can't install 14.00.02.02 on Fedora 10 or 11 laptop
« Reply #3 on: September 08, 2009, 08:43:17 pm »
Not that the core file (3GB) is helpful without symbols:

$ gdb /opt/slickedit/bin/vs core.27066
GNU gdb Fedora (6.8-32.fc10)
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu"...
(no debugging symbols found)

warning: exec file is newer than core file.

warning: Can't read pathname for load map: Input/output error.
Reading symbols from /usr/lib/libXt.so.6.0.0...Reading symbols from /usr/lib/debug/usr/lib/libXt.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libXt.so.6.0.0
Reading symbols from /usr/lib/libSM.so.6.0.0...Reading symbols from /usr/lib/debug/usr/lib/libSM.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libSM.so.6.0.0
Reading symbols from /usr/lib/libICE.so.6.3.0...Reading symbols from /usr/lib/debug/usr/lib/libICE.so.6.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libICE.so.6.3.0
Reading symbols from /usr/lib/libX11.so.6.2.0...Reading symbols from /usr/lib/debug/usr/lib/libX11.so.6.2.0.debug...done.
done.
Loaded symbols for /usr/lib/libX11.so.6.2.0
Reading symbols from /lib/libdl-2.9.so...Reading symbols from /usr/lib/debug/lib/libdl-2.9.so.debug...done.
done.
Loaded symbols for /lib/libdl-2.9.so
Reading symbols from /lib/libpthread-2.9.so...Reading symbols from /usr/lib/debug/lib/libpthread-2.9.so.debug...done.
done.
Loaded symbols for /lib/libpthread-2.9.so
Reading symbols from /lib/libutil-2.9.so...Reading symbols from /usr/lib/debug/lib/libutil-2.9.so.debug...done.
done.
Loaded symbols for /lib/libutil-2.9.so
Reading symbols from /lib/libm-2.9.so...Reading symbols from /usr/lib/debug/lib/libm-2.9.so.debug...done.
done.
Loaded symbols for /lib/libm-2.9.so
Reading symbols from /lib/libc-2.9.so...Reading symbols from /usr/lib/debug/lib/libc-2.9.so.debug...done.
done.
Loaded symbols for /lib/libc-2.9.so
Reading symbols from /lib/libuuid.so.1.2...Reading symbols from /usr/lib/debug/lib/libuuid.so.1.2.debug...done.
done.
Loaded symbols for /lib/libuuid.so.1.2
Reading symbols from /usr/lib/libxcb-xlib.so.0.0.0...Reading symbols from /usr/lib/debug/usr/lib/libxcb-xlib.so.0.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libxcb-xlib.so.0.0.0
Reading symbols from /usr/lib/libxcb.so.1.0.0...Reading symbols from /usr/lib/debug/usr/lib/libxcb.so.1.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libxcb.so.1.0.0
Reading symbols from /lib/ld-2.9.so...Reading symbols from /usr/lib/debug/lib/ld-2.9.so.debug...done.
done.
Loaded symbols for /lib/ld-2.9.so
Reading symbols from /usr/lib/libXau.so.6.0.0...Reading symbols from /usr/lib/debug/usr/lib/libXau.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libXau.so.6.0.0
Reading symbols from /usr/lib/libXdmcp.so.6.0.0...Reading symbols from /usr/lib/debug/usr/lib/libXdmcp.so.6.0.0.debug...done.
done.
Loaded symbols for /usr/lib/libXdmcp.so.6.0.0
Reading symbols from /lib/libnss_files-2.9.so...Reading symbols from /usr/lib/debug/lib/libnss_files-2.9.so.debug...done.
done.
Loaded symbols for /lib/libnss_files-2.9.so
Reading symbols from /usr/lib/libXcursor.so.1.0.2...Reading symbols from /usr/lib/debug/usr/lib/libXcursor.so.1.0.2.debug...done.
done.
Loaded symbols for /usr/lib/libXcursor.so.1.0.2
Reading symbols from /usr/lib/libXrender.so.1.3.0...Reading symbols from /usr/lib/debug/usr/lib/libXrender.so.1.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libXrender.so.1.3.0
Reading symbols from /usr/lib/libXfixes.so.3.1.0...Reading symbols from /usr/lib/debug/usr/lib/libXfixes.so.3.1.0.debug...done.
done.
Loaded symbols for /usr/lib/libXfixes.so.3.1.0
Core was generated by `/opt/slickedit/bin/vs'.
Program terminated with signal 11, Segmentation fault.
[New process 27066]
#0  0x08b8be51 in ?? ()
(gdb)


The warning about the exec file being newer the core is strange...  It isn't newer...


ScottW, VP of Dev

  • Senior Community Member
  • Posts: 1471
  • Hero Points: 64
Re: Can't install 14.00.02.02 on Fedora 10 or 11 laptop
« Reply #4 on: September 09, 2009, 02:25:22 pm »
OK, I missed an important detail. When you copy the license file to the bin directory, it has to be called "slickedit.lic". Let us know if that makes any difference.

millerkp

  • Community Member
  • Posts: 16
  • Hero Points: 0
Re: Can't install 14.00.02.02 on Fedora 10 or 11 laptop
« Reply #5 on: September 11, 2009, 11:39:34 am »
I renamed the file slickedit.lic in the /opt/slickedit/bin, but I still have the same problem. 

I can't see any obvious differences between the laptop and desktop installation of fedora.  Maybe it doesn't like my tiny screen?  :-\  ;)

Thank you.

millerkp

  • Community Member
  • Posts: 16
  • Hero Points: 0
I wiped fedora and installed Ubuntu 9.04...  Works fine now.  Problem solved I guess...

Thank you for you help.

ScottW, VP of Dev

  • Senior Community Member
  • Posts: 1471
  • Hero Points: 64
Re: Can't install 14.00.02.02 on Fedora 10 or 11 laptop
« Reply #7 on: September 14, 2009, 02:25:03 pm »
"Let's just bug out and call it even. OK?"
"I say we take off and nuke the site from orbit. It's the only way to be sure."

Sorry there wasn't a better solution for this.

A hero point to the first person who recognizes my quotes--no search engine assistance allowed.

Juan Fonseca

  • Community Member
  • Posts: 31
  • Hero Points: 1
Re: Can't install 14.00.02.02 on Fedora 10 or 11 laptop
« Reply #8 on: September 14, 2009, 05:31:23 pm »
"Let's just bug out and call it even. OK?" --- The Fly 2
"I say we take off and nuke the site from orbit. It's the only way to be sure." --- Aliens

Did I get it?




ScottW, VP of Dev

  • Senior Community Member
  • Posts: 1471
  • Hero Points: 64
Re: Can't install 14.00.02.02 on Fedora 10 or 11 laptop
« Reply #9 on: September 14, 2009, 06:03:26 pm »
Actually, they're both from Aliens. Hudson uttered the first line and Ripley responded with the second. Still, close enough to get a hero point!
« Last Edit: September 14, 2009, 06:25:21 pm by ScottW, VP of Dev »